# ItemSelectionChangedEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [ItemSelectionChanged](/api/wisej.web/lists-and-grids/listview.md#itemselectionchanged) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ItemSelectionChangedEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ItemSelectionChangedEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) ItemSelectionChangedEventArgs(item, itemIndex, isSelected)

Initializes a new instance of the [ItemSelectionChangedEventArgs](/api/wisej.web/lists-and-grids/listview/wisej.web.itemselectionchangedeventargs.md) class.

| Name           | Type                                                                              | Description                                                                                                                           |
| -------------- | --------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| **item**       | [ListViewItem](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md) | The [ListViewItem](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md) whose selection state has changed.              |
| **itemIndex**  | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                       | The index of the [ListViewItem](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md) whose selection state has changed. |
| **isSelected** | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean)                   | true to indicate the item's state has changed to selected; false to indicate the item's state has changed to deselected.              |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) IsSelected

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns a value indicating whether the item's state has changed to selected.

### ![](/files/hsR4ok3152WyAf8J2C1u) Item

[ListViewItem](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md): Returns the item whose selection state has changed.

### ![](/files/hsR4ok3152WyAf8J2C1u) ItemIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the index of the item whose selection state has changed.

## Used By

| Name                                                                                                                      | Description                                                                                                                                                                                           |
| ------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [ItemSelectionChangedEventHandler](/api/wisej.web/lists-and-grids/listview/wisej.web.itemselectionchangedeventhandler.md) | Represents the method that will handle the [ItemSelectionChanged](/api/wisej.web/lists-and-grids/listview.md#itemselectionchanged) event of a [ListView](/api/wisej.web/lists-and-grids/listview.md). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/listview/wisej.web.itemselectionchangedeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
